Subject: [Rfcplusplus] a few thoughts

From: Alissa Cooper <[email-masked]>
Date: Fri, 22 Jun 2018 22:10:55 -0400

Thanks to all for your engagement on this. A couple of thoughts from my perspective:

In some ways people seem hung up on the notion from the proposal in the BOF description being an “experiment” with defined exit criteria, and in other ways not. For example, people interested in the boilerplate update idea don’t seem to be proposing exit criteria whereby something would be measured and then we would decide to go back to the previous boilerplate. Personally I hope the discussion doesn’t get too stuck in the “experiment” frame despite that being in the BOF description, largely because the RFC series hasn’t really evolved in that fashion. We didn’t propose an experiment with 19 different possible combinations of status and stream (as used to be allowed, I think) and define a date by which we would decide to reduce it to 16 (what we have today). That doesn’t mean eliminating those 3 was a mistake or was unjustified. I suspect that most of the changes to the series over the years have been based on shared recognition of some phenomenon in the community or the world rather than on quantitative metrics of some sort, and it might be useful to keep that history in mind. (Happy to be corrected if folks have data to share about past decisions, however.)

It might also be helpful to keep in mind that misperception is a human problem, not an engineering problem. Since human beings are imperfect and varied, whether misperception is a problem for them will vary and no “solution” will actually rid misperception from all human consumers of RFCs. I hope people don’t view that as a reason not to try to make improvements. This reminds me a little bit of privacy discussions where the claim is often made that an identifier at one layer doesn’t need to be obfuscated because identifiers exist at other layers. Partial improvements are still improvements. (And IMO communities that aren’t willing to discuss, consider, and adopt changes because they are deemed imperfect are destined for irrelevance, so I’m glad we’re having this discussion.)

Alissa